/*
 * Copyright 
 *   2005 axYus - www.axyus.com
 *   2005 C.Marchand - christophe.marchand@axyus.com
 * 
 * This file is part of XEMELIOS.
 * 
 * XEMELIOS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * XEMELIOS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with XEMELIOS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package fr.gouv.finances.cp.xemelios.auth.basic;

import fr.gouv.finances.cp.xemelios.auth.XemeliosUser;
import fr.gouv.finances.cp.xemelios.common.Crypter;

public class BasicUser implements XemeliosUser {
	private String id="anonymous", password = null;
	private int auth = 0;

	public BasicUser(String pass) {
		super();
		this.password=Crypter.cryptPassword(pass);
	}

	public String getId() {
		return id;
	}

	public String getDescription() {
		return id;
	}

	public int getAuth(String collectivite) {
		return auth;
	}

	public boolean isAllowedTo(String collectivite, int role) {
		return (role & auth)>0;
	}

	public String getCryptedPassword() { return password; }
	public void setId(String id) { this.id=id; }
	public void setAuth(int auth) { this.auth=auth; }
}
